<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>

    function rabbit(type){// constructor
        
        this.type = type;
        this.greeting = function(){
            console.log(this.type +' rabbit'+ "say Hello!")
        }
    }
    var blackRabbit = new rabbit('black'); // đối tượng được tạo ra từ constructor rabbit
    console.log(blackRabbit.type)
    
    blackRabbit.greeting()

    var killerRabbit = new rabbit('killer') // đối tượng được tạo ra từ constructor rabbit
    console.log(killerRabbit.type)
    killerRabbit.greeting();

    // create thuộc tính cho constructor rabbit sử dụng protoptypes
    rabbit.prototype.sayBye = function(){
        console.log(this.type+ " rabbit "+" say Goodbye!")
    }
     var whiteRabbit = new rabbit('white')
     whiteRabbit.sayBye() 
    </script>
</body>
</html>